;// cubic player 2.0alpha configuration file

[general]
  link=dos4gfix mmcmphlp poutput inflate pfilesel cpiface fstypes
  initclose=_Dos4GFixReg _mmcmpReg _outReg
  initcloseafter=_plCPReg _fsReg
  guspatchpath= ;// path to ULTRASND.INI
  dos4gfix=off  ;// fixes irq 8-15 problems with dos4g. turn on only if
                ;// you use cp with dos4g and sb or gus with irq 8-15
;  datapath=     ;// path to cp's pictures and animations.
;  tempdir=


[defaultconfig] ;// default configuration
  link=mchasm devi hardware sets smpbase plrbase mcpbase arcarj arczip arcrar playcda playinp
  initclose=_setsReg _cdaReg _plrDevReg _mcpDevReg _smpDevReg
  main=fsMain_
  prelink= ;// preloaded dlls

[win] ;// cp -cwin
  soundsec=winsound
[winsound]
  defwavetable=devwmix
  playbufsize=1000

[fun] ;// cp -cfun
  link=mchasm devi hardware smpbase playcda
  initclose=_cdaReg
  prelink=
;// names of the sections to be used in this configiuration
  fileselsec=funfile
;  soundsec=
;  screensec=
[funfile]
  modextensions=
  readdirs=_cdaReadDirReg _fsReadDirReg

[wav] ;// cp -cwav
  link=mchasm devi hardware sets plrbase playwav
  initclose=_setsReg _plrDevReg
  prelink=
  fileselsec=wavfile

[wavfile]
  modextensions=WAV

[sound] ;// default sound section
;// these drivers will be loaded at startup. change parameters at the
;// sections for the devices.
;// take those drivers out of the list, you will not need, because it
;// will speed up the loading process and require less memory
;// you can also add new devices by copying the section and renaming it.
;// (8 chars only)
  playerdevices=devpSB devpWSS devpESS devpGUS devpPAS devpNone devpDisk devpMPx
  samplerdevices=devsSB devsWSS devsGUS devsNone
  wavetabledevices=devwSB32 devwIW devwGUS devwMix devwMixQ devwNone devwDGUS
  mixrate=44100           ;// -sr44100
  mixprocrate=4096000     ;// max channels*rate (for slow cpus) (4096000==64*64000)
  mix16bit=on             ;// -s8-
  mixstereo=on            ;// -sm-
  plrbufsize=150          ;// milliseconds
  mixbufsize=150          ;// milliseconds
  samprate=44100          ;// -sr44100
  samp16bit=on            ;// -s8-
  sampstereo=on           ;// -sm-
  smpbufsize=150          ;// milliseconds
  defplayer=              ;// -sp
  defsampler=             ;// -ss
  defwavetable=           ;// -sw
  midichan=64             ;// number of channels used for midi playback
  cdsamplelinein=off      ;// if you turn this one on, cp will sample line in
                          ;// instead of cd in when playing cdaudio
  bigmodules=devwMix      ;// this wavetable device will be used if a module
                          ;// was tagged "big" with alt-b in the fileselector.
                          ;// (use if wavetable ram is not enough by far)
  wavetostereo=1          ;// conv mono waves to stereo. turn off with sbpro
  waveratetolerance=50    ;// samprate can vary up to 50/1000
  amplify=100  ;// -va100
  panning=100  ;// -vp100
  volume=100   ;// -vv100
  balance=0    ;// -vb0
  reverb=0     ;// -vr0
  chorus=0     ;// -vc0
  surround=off ;// -vs-
  filter=1     ;// -vf1   (AOI)


[screen] ;// default screen section
  defmodes=_cpiModeHelp _cpiModeScope _cpiModeLinks _cpiModeGraph _cpiModePhase
  deftmodes=_cpiTModeAnal _cpiTModeMVol _cpiTModeChan _cpiTModeInst _cpiTModeTrack
;// these pics have to be 640*384*208 TGAs, the first or the last 48 colors
;// must not be used.
;// header must read: 00 01 01 00 00 00 01 18 00 00 00 00 80 02 80 01 08 20
;// if your pic is not loaded, convert it to TGA with GWS.
  usepics=cppic000.tga cppic001.tga cppic002.tga
  compomode=off   ;// compomode will remove all texts and display
                  ;// fileselector comment as the name (put compo # there!)
  startupmode=text   ;// mode
  screentype=7    ;// screenmode
  analyser=on
  mvoltype=2
  pattern=on
  insttype=3
  channeltype=3
;//eXtended mode:
;//  screentype=7
;//  startupmode=t
;//  analyser=on
;//  pattern=on
;//  instrtype=3
;//  channeltype=3


[fileselector] ;// default fileselector section
;// files with these extensions will be scanned by the fileselector
;// you might add 001 002 003 004 if you are a fan of imphobia :)
  modextensions=MOD XM S3M MID DMF ULT 669 NST WOW OKT PTM MDL WAV IT RMI AMS MTM MP1 MP2 MP3
  movepath=  ;// default path to move files
  screentype=0
  typecolors=on
  editwin=on
  writeinfo=on
  scanmdz=on
  scaninarcs=on
  scanmnodinfo=on
  scanarchives=on
  putarchives=on
  playonce=on       ;// -fr+
  randomplay=on     ;// -fo-
  loop=on           ;// -fl+
  path=.            ;// path at startup
  arcs=_adbRARReg _adbARJReg _adbZIPReg
  readdirs=_cdaReadDirReg _inpReadDirReg _mcpReadDirReg _smpReadDirReg _plrReadDirReg _adbReadDirReg _dosReadDirReg _fsReadDirReg
  readinfos=_ampegpReadInfoReg _gmdReadInfoReg _gmiReadInfoReg _wavReadInfoReg
  preprocess=_plrPreprocess _smpPreprocess _mcpPreprocess
  getfiles=_mmcmpDisable _adbGetFileReg _dosGetFileReg _mmcmpEnable

;//device configuration:
;//[handle]
;//  link=...                                     (internal) link drivers
;//  driver=...                                   (internal) driver name
;//  handle=...                                   handle (unused
;//  subtype=...                                  subtype
;//  port=...                                     primary port (hex)
;//  port2=...                                    secondary port (hex)
;//  irq=...                                      primary irq
;//  irq2=...                                     secondary irq
;//  dma=...                                      primary dma
;//  dma2=...                                     secondary dma
;//  bypass=...                                   bypass detect on/off

[devpSB]
  link=devpsb
  driver=_plrSoundBlaster
  addprocs=_plrSBAdd
  handle=1
  sbrevstereo=off ;// some sb pros reverse stereo...

;// subtype: 1:sb 1.x, 2:sb 2.x, 3:sb pro, 4:sb16

[devpESS]
  link=devpess
  driver=_plrESSAudioDrive
  handle=7

[devpWSS]
  link=devpwss
  driver=_plrWinSoundSys
  addprocs=_plrWSSAdd
  handle=3
  wss64000=off ;// 64khz playing
;// subtype: 0:wss, 1:gus daughterboard, 2:gusmax

[devpGUS]
  link=devpgus
  driver=_plrUltraSound
  handle=2

[devpPAS]
  link=devppas
  driver=_plrProAudioSpectrum
  handle=4

[devpDisk]
  link=devpdisk
  driver=_plrDiskWriter
  addprocs=_plrDiskAdd
  handle=17
  diskManual=off ;// press alt-s to start diskwriter if enabled

[devpMPx]
  link=devpmpx
  driver=_plrMPxWriter
  addprocs=_plrMPxAdd
  handle=18
  diskManual=off ;// press alt-s to start diskwriter if enabled
  layer=2        ;// 1 or 2
  mode=1         ;// 0:stereo, 1:joint stereo, 2:dual channel, 3:mono
  freq=44100     ;// 32000,48000,44100
  rate=112000    ;// ampeg bitrate
  model=2        ;// psychoacoustic model: (1 or) 2
  crc=off
  extension=off
  copyright=off
  original=off
  emphasis=0

[devpNone]
  link=devpnone
  driver=_plrNone
  handle=16

[devsSB]
  link=devssb
  driver=_smpSoundBlaster
  addprocs=_smpSBAdd
  sbrevstereo=off ;// some sb pros reverse stereo...
  handle=1

[devsGUS]
  link=devsgus
  driver=_smpUltraSound
  handle=2

[devsWSS]
  link=devswss
  driver=_smpWinSoundSys
  addprocs=_smpWSSAdd
  handle=3
  wss64000=off ;// 64khz sampling

[devsNone]
  link=devsnone
  driver=_smpNone
  handle=16

[devwGUS]
  link=devwgus
  driver=_mcpUltraSound
  addprocs=_mcpGUSAdd
  handle=2
  gusFastUpload=off
  gusGUSTimer=off

[devwDGUS]
  link=devwdgus
  driver=_mcpDoubleGUS
  handle=6
;  port2=250 ;//must specify secondary port
;// subtype: 0:2d, 1:3d

[devwIW]
  link=devwiw
  driver=_mcpInterWave
  addprocs=_mcpIWAdd
  handle=5
  iwIWTimer=off
  iwEffects=on      ;// uses some iw mem and channels
  iwForceEffects=on ;// 28 channels max.

[devwSB32]
  link=devwsb32
  driver=_mcpSoundBlaster32
  handle=1

[devwNone]
  link=devwnone
  driver=_mcpNone
  handle=16

[devwMix]
  link=devwmix
  driver=_mcpMixer
  addprocs=_mcpMixAdd
  handle=32
  mixResample=off
  subtype=0


;[devwMixQ]
;  link=devwmixq
;  driver=_mcpQMixer
;  addprocs=_mcpMixQAdd
;  handle=33
;  mixResample=off
;  postprocs= ; // sample postprocessors. reverse order.
;  postprocadds= ; // key handlers for postprocessors.
[devwMixQ]
  link=devwmix
  driver=_mcpMixer
  addprocs=_mcpMixAdd
  handle=33
  subtype=1
  mixResample=off
  postprocs= ; // sample postprocessors. reverse order.
  postprocadds= ; // key handlers for postprocessors.


;// archiver configuration
;// %% -> %
;// %a -> archive path
;// %n -> filename
;// %d -> destination path

[arcZIP]
  get=pkunzip %a %d %n
  put=pkzip %a %n
  delete=pkzip -d %a %n
;  movefrom=
;  moveto=pkzip -m %a %n ;// don't use this! it also removes directories...
  deleteempty=on ;// pkzip will not remove empty archives, this will delete
                 ;// all 22 byte archives.

[arcARJ]
  get=arj e %a %d %n
  put=arj a %a %n
  delete=arj d %a %n
;  movefrom=
  moveto=arj m %a %n

[arcRAR]
  get=rar e -std %a %d %n
  put=rar a -std -ep %a %n
  delete=rar d -std %a %n
;  movefrom=
  moveto=rar m -std -ep %a %n


[filetype 0]
  color=1
  name=MOD
  interface=_plCubicPlayer
;  player=_gmdPlayer
;  ldlink=loadmod
;  loader=mpLoadMOD_
  pllink=playxm
  player=_xmpPlayer


[filetype 1]
  color=4
  name=MODd
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadmod
  loader=mpLoadMODd_

[filetype 2]
  color=4
  name=MODt
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadmod
  loader=mpLoadMODt_

[filetype 3]
  color=4
  name=M31
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadmod
  loader=mpLoadM31_

[filetype 6]
  color=4
  name=M15
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadmod
  loader=mpLoadM15_

[filetype 7]
  color=4
  name=M15t
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadmod
  loader=mpLoadM15t_

[filetype 8]
  color=4
  name=WOW
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadmod
  loader=mpLoadWOW_

[filetype 9]
  color=2
  name=S3M
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loads3m
  loader=mpLoadS3M_

[filetype 10]
  color=3
  name=XM
  interface=_plCubicPlayer
;// old player
;  player=_gmdPlayer
;  ldlink=loadxm
;  loader=mpLoadXM_
;// this is a new xm player.
;// it's quite good now, only that the screen output is not good at all... :(
;// if you think screen output is more important than quality, use the old one!
  pllink=playxm
  player=_xmpPlayer

[filetype 11]
  color=1
  name=MTM
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadmtm
  loader=mpLoadMTM_

[filetype 12]
  color=2
  name=669
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=load669
  loader=mpLoad669_

[filetype 13]
  color=5
  name=ULT
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadult
  loader=mpLoadULT_

[filetype 14]
  color=6
  name=DMF
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loaddmf
  loader=mpLoadDMF_

[filetype 15]
  color=5
  name=OKT
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadokt
  loader=mpLoadOKT_

[filetype 16]
  color=3
  name=MID
  interface=_plCubicPlayer
  pllink=playgmi
  player=_gmiPlayer
;  pllink=plaympu
;  player=_mpuPlayer

[filetype 17]
  color=6
  name=CDA
  interface=_plCubicPlayer
  pllink=playgmd
  player=_cdaPlayer

[filetype 18]
  color=4
  name=MIDd
  interface=_plCubicPlayer
  pllink=playgmi
  player=_gmiPlayer
;  pllink=plaympu
;  player=_mpuPlayer

[filetype 19]
  color=2
  name=PTM
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadptm
  loader=mpLoadPTM_

[filetype 21]
  color=6
  name=MDL
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadmdl
  loader=mpLoadMDL_

[filetype 22]
  color=3
  name=AMS
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadams
  loader=mpLoadAMS_

[filetype 23]
  color=2
  name=INP
  interface=_plCubicPlayer
  pllink=playinp
  player=_inpPlayer

[filetype 24]
  color=6
  name=DEVp
  interface=_plrIntr

[filetype 25]
  color=5
  name=DEVs
  interface=_smpIntr

[filetype 26]
  color=3
  name=DEVw
  interface=_mcpIntr

[filetype 27]
  color=5
  name=IT
  interface=_plCubicPlayer
  pllink=playgmd
  player=_gmdPlayer
  ldlink=loadit
  loader=mpLoadIT_

[filetype 28]
  color=6
  name=WAV
  pllink=playwav
  interface=_plCubicPlayer
  player=_wavPlayer

[filetype 30]
  color=6
  name=MPx
  pllink=playmp
  interface=_plCubicPlayer
  player=_ampegpPlayer
